cURL
Clients
List all clients
Gets the list of all clients
GET
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number of the list
Required range:
x >= 1Number of records to return per page
Required range:
1 <= x <= 100Start creation date of the record Format of the date should be ISO format
End creation date of the record Format of the date should be ISO format
Start updated date of the record Format of the date should be ISO format
End updated date of the record Format of the date should be ISO format
ID of practice from which records need to be filtered
Response
List of all clients
Total count of the matched records
Example:
12
Array of client records
Example:
[
{
"firstName": "Hax",
"lastName": "Nasmi",
"gender": "Female",
"dob": "1989-11-30",
"email": { "main": "haxore3434@nasmis.com" },
"phone": { "home": "+18328156279" },
"location": {
"streetAddress": "2811 Pecan Ridge Dr",
"aptSuiteOther": null,
"city": "Sugar Land",
"state": "Texas",
"country": "USA",
"zip": 77479,
"neighborhood": "Colony Bend",
"county": "Fort Bend County",
"zipSuffix": "1539"
},
"geoLocation": {
"lat": 29.58203099999999,
"lon": -95.6018993
},
"user": {
"id": "auth0|65608ab617b4bdb50111d600",
"domain": "3a8T8b1-g"
},
"inviteStatus": "Invite Sent",
"type": "client",
"id": "266fc897-5cd9-448a-bfc1-c9356c623fb0"
},
{
"firstName": "Hike",
"lastName": "Gif",
"gender": "Male",
"dob": "1975-07-16",
"description": null,
"phone": {
"home": "+18328156279",
"work": "+18328156279"
},
"images": {
"primary": {
"id": "a97dec41-a86f-436c-845d-412cb02b4917",
"type": "image",
"mimeType": "image/jpeg",
"name": "download (3).jpeg"
}
},
"geoLocation": { "lat": 29.5863762, "lon": -95.6150153 },
"isEmergencyContact": true,
"userId": "auth0|6560825b17b4bdb50111ce98",
"email": { "main": "hihike3540@kxgif.com" },
"location": {
"streetAddress": "3103 Old Masters Dr",
"aptSuiteOther": null,
"city": "Sugar Land",
"state": "Texas",
"country": "USA",
"zip": "77479",
"neighborhood": "Austin Park Courtyard Homes",
"county": "Fort Bend County",
"zipSuffix": "1443"
},
"type": "client",
"id": "5ccaf84f-634d-4ae3-9883-972da0ce4ba5"
}
]